Page MenuHomePhabricator

Make a test instance in cloud VPS to test new term store
Closed, ResolvedPublic

Description

We need to run tests in a VPS before shipping them into production.

Event Timeline

Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptApr 23 2019, 11:37 AM
alaa_wmde lowered the priority of this task from High to Medium.Apr 24 2019, 12:54 PM

sorry changed by mistake to High

Running scripts on it to explode it:

root@wikidata-new-wbterm:/var/lib/mysql/termwiki# ls -Ssh | head
total 485M
165M wb_terms.ibd
 41M job.ibd
 33M text.ibd
 31M logging.ibd
 27M recentchanges.ibd
 27M wb_changes.ibd
 20M revision.ibd
 19M objectcache.ibd
 18M page_props.ibd

Some data about the node:

nameCPUsHDDRAM
wikidata-new-wbterm8160GB16GB

Current size:

root@wikidata-new-wbterm:/var/lib/mysql/termwiki# ls -Ssh | head
total 15G
9.4G wb_terms.ibd
1.3G text.ibd
535M searchindex.MYD
505M objectcache.ibd
431M searchindex.MYI
405M wb_changes.ibd
353M logging.ibd
301M recentchanges.ibd
185M revision.ibd

wb_terms number of rows:

MariaDB [termwiki]> select count(*) from wb_terms;
+----------+
| count(*) |
+----------+
| 16599826 |
+----------+
1 row in set (4.96 sec)

The data is roughly 1% of production but in matter of reads it's nothing compared to prod so I still would be careful.

I started putting together some documentation for the instance at https://wikitech.wikimedia.org/wiki/Nova_Resource:Wikidata-dev/wikidata-new-wbterm, feel free to expand.

alaa_wmde closed this task as Resolved.May 22 2019, 10:26 AM